#
# spec file for package perl-Test-Moose-More
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Moose-More
Version:        0.050
Release:        1.1
%define cpan_name Test-Moose-More
Summary:        More tools for testing Moose packages
License:        LGPL-2.1+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Moose-More/
Source0:        https://cpan.metacpan.org/authors/id/R/RS/RSRCHBOY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Data::OptList)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(List::Util) >= 1.45
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Meta::Attribute)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util)
BuildRequires:  perl(Moose::Util::MetaRole)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(Sub::Exporter::Progressive)
BuildRequires:  perl(Syntax::Keyword::Junction)
BuildRequires:  perl(TAP::SimpleOutput) >= 0.009
BuildRequires:  perl(Test::CheckDeps) >= 0.010
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(namespace::autoclean)
Requires:       perl(Data::OptList)
Requires:       perl(List::MoreUtils)
Requires:       perl(List::Util) >= 1.45
Requires:       perl(Moose::Util)
Requires:       perl(Moose::Util::TypeConstraints)
Requires:       perl(Sub::Exporter::Progressive)
Requires:       perl(Syntax::Keyword::Junction)
Requires:       perl(Test::Moose)
Requires:       perl(Test::More) >= 0.94
%{perl_requires}

%description
This package contains a number of additional tests that can be employed
against Moose classes/roles. It is intended to replace Test::Moose in your
tests, and re-exports any tests that it has and we do not, yet.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Thu Sep 21 2017 coolo@suse.com
- updated to 0.050
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.050     2017-09-20 22:41:41 CDT-0500
  * No code changes, releasing 0.049 as non-trial
  0.049-TRIAL  2017-07-30 13:27:51 CDT-0500
  * Add definition_context_ok()
* Sun Jun 18 2017 coolo@suse.com
- updated to 0.048
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.048     2017-06-17 23:19:13 CDT-0500
  * Add method_is_accessor_ok(), method_is_not_accessor_ok()
  * Fix POD link to Class::MOP::Method::Accessor
  * Add no_meta_ok()
  * Simplify some of the logic in our _validate_thing_guts()'s attribute
  loop
  * Skip to the next attribute if current one DNE in _thing_guts()
  attribute loop
  * Use _thing_name() in _role_wraps(), like everybody else
  * In POD, wrap more things with C<> vs '', etc.
* Tue Apr 25 2017 coolo@suse.com
- updated to 0.047
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.047     2017-04-24 22:48:33 CDT-0500
  * Add method_from_pkg_ok(), method_not_from_pkg_ok()
  * Tests which support subtests (typically validate_*()) now do something
  sensible when '-subtest => 1' is given.
* Sat Apr 15 2017 coolo@suse.com
- updated to 0.046
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.046     2017-04-14 22:51:08 CDT-0500
  * Add pristine tests
  * Add has{,_no}_method_ok() TBT tests
  * Add:
  does_not_require_method_ok()
  has_{,no_}method_from_anywhere_ok()
* Sat Mar 25 2017 coolo@suse.com
- updated to 0.045
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.045     2017-03-24 20:34:45 CDT-0500
  * Fix a POD command error (=func vs =test)
  * No code changes, just promoting the changes from 0.044 to GA
  0.044-TRIAL  2017-03-21 20:34:29 CDT-0500
  * Add metarole/class options to validate_...()
  * add has_no_method_ok(), which does exactly what you think it does
  * add no_methods to validate_thing(), incorporating has_no_method_ok()
  into validate_*()
* Tue Feb 21 2017 coolo@suse.com
- updated to 0.043
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.043     2017-02-14 11:56:50 CST-0600
  * Depend on TAP::SimpleOutput 0.009 for our tests; no code changes.
  0.042     2017-02-13 09:54:58 CST-0600
  * Use the subtest bits now in TAP::SimpleOutput
  * No code changes, just the above test tweak.  Overdue release as GA :)
  0.041-TRIAL  2016-11-12 20:09:02 CST-0600
  * Added a ':validate' export group.
  * Make -compose subtest messages a little cleaner.
  * add does_metaroles_ok()!  (Not sure why I waited this long...)
  0.040-TRIAL  2016-11-10 11:00:24 CST-0600
  * Make more things consistent with naming in tests, e.g. "Class's
  attribute foo" vs "foo", etc.
  * does_{,not_}ok() now handles metaclasses that don't do roles
  * has_attribute_ok now honors -subtest
  0.039-TRIAL  2016-10-10 18:38:44 CDT-0500
  * Use prototypes consistently across our test functions.
  * Moose metaclasses now pass is_class_ok().  *le sigh*
  * Role attributes are now validated w.r.t.:
  + required
  + lazy
  * Attribute validation checks are now also tested w.r.t.:
  + required
  + lazy
* Thu Jun 23 2016 coolo@suse.com
- updated to 0.038
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.038     2016-06-22 13:46:27 CDT-0500
  * Eliminate a warning under v5.22+ (github #12)
* Sun Feb  7 2016 coolo@suse.com
- updated to 0.037
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.037     2016-01-31 17:02:52 CST-0600
  * No code changes -- releasing 0.036 as GA
  0.036-TRIAL  2016-01-20 20:48:30 CST-0600
  * More test functions now honor "name" overrides, resulting in more
  sensible output when deeply testing using the validate_*() functions.
* Thu Aug 27 2015 coolo@suse.com
- updated to 0.035
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.035     2015-08-26 12:40:38 PDT-0700
  * validate_role() will now perform checks on a role to ensure the role
  intends to wrap methods on application.
  0.034-TRIAL  2015-07-29 23:22:49 PDT-0700
  * validate_role(), validate_class(), validate_thing(), and
  validate_attribute() now accept '-subtest', causing them to wrap all the
  tests they run under a subtest.
* Tue Aug  4 2015 coolo@suse.com
- updated to 0.033
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.033     2015-07-29 18:25:51 PDT-0700
  * validate_role($role, -compose => 1, ...) will now add a sanity test that
  the composed subclass actually does $role when composing the arguments
  to pass to validate_class().
* Sun Jul 12 2015 coolo@suse.com
- updated to 0.032
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.032     2015-07-11 22:47:44 PDT-0700
  * Better documentation for most of the validate_*() functions.
  * Add a -compose option to validate_role(), to handle a common pattern
  automagically.
  * When checking attribute traits, we now attempt to resolve them with the
  appropriate functions from Moose::Util (so that things like native
  traits are found with a minimum of pain).
* Thu Jul  2 2015 coolo@suse.com
- updated to 0.031
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.031     2015-06-30 18:30:27 PDT-0700
  * We now export validate_thing()
  * Add subroutine parameters to the sugar functions.
  * Add sugar checking to validate_thing() ('sugar => 0|1')
* Mon Jun 29 2015 coolo@suse.com
- updated to 0.030
  see /usr/share/doc/packages/perl-Test-Moose-More/Changes
  0.030     2015-06-28 01:01:58 PDT-0700
  * Add method modifier checks for roles.
* Fri Apr 17 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
